Get all employments Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/client/{client_uuid}/employment

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_uuid string Required

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [shared_owner, address, email_address, phone_number, income].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, employer]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • status string
      • occupation string
      • occupation_code string
      • job_title string
      • employer string
      • started_at string
      • ended_at string
      • is_business_owner boolean
      • percentage_of_business_shared integer
      • address object
        Hide address attributes Show address attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • address_1 string
        • address_2 string
        • address_3 string
        • address_4 string
        • town_city string
        • county string
        • postcode string
        • country string
        • move_in_date string
        • accounts object
          Hide accounts attributes Show accounts attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

      • phone_number object
        Hide phone_number attributes Show phone_number attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • name string
        • value string
        • phone_number_meta object
          Hide phone_number_meta attributes Show phone_number_meta attributes object
          • country string
          • formatted string
        • accounts object
          Hide accounts attributes Show accounts attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

      • email_address object
        Hide email_address attributes Show email_address attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • name string
        • value string
        • phone_number_meta object
          Hide phone_number_meta attributes Show phone_number_meta attributes object
          • country string
          • formatted string
        • accounts object
          Hide accounts attributes Show accounts attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

      • shared_owner_type string
      • shared_owner object
        Hide shared_owner attributes Show shared_owner attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle object
          Hide joint_account_circle attributes Show joint_account_circle attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • circles object
          Hide circles attributes Show circles attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields object
          Hide custom_fields attributes Show custom_fields attributes object
          • uuid

            The UUID of the custom field

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of custom field

          • name

            The name of the custom field

          • reference

            The reference of the custom field, used when updating the custom field on the model.

          • is_required

            Denotes if the custom field is required

          • value

            The value of the custom field

          • selection_options

            This is the array of available options for the selection box. If the type is "selection" this array will be provided.

          • help_text

            Optional help text to aide the custom field. Will be displayed on Plannr.

        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • last_salary_increase string
      • business_name string
      • business_year_end string
      • business_value object
        Hide business_value attributes Show business_value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • directors string
      • shareholding_in_business object
        Hide shareholding_in_business attributes Show shareholding_in_business attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • profit object
        Hide profit attributes Show profit attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • accountant_company_name string
      • accountant_email string
      • accountant_telephone_number string
      • accountant_address string
      • primary boolean
      • turnover_history object
        Hide turnover_history attributes Show turnover_history attributes object
        • year integer
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
      • income object
        Hide income attributes Show income attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • type string
        • type_other string
        • amount object
          Hide amount attributes Show amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • amount_type string
        • start_date string
        • end_date string
        • frequency string
        • is_taxable boolean
        • shared_owner_type string
        • shared_owner object
          Hide shared_owner attributes Show shared_owner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • employment object
          Hide employment attributes Show employment attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • status

            The employment status. Available values: employed, self_employed, student, unemployed, house_person, retired and other

          • occupation

            The occupation name found from the occupation code provided.

          • occupation_code

            @deprecated The Origo occupation code.

          • job_title

            Job title if not suitable occupation code is found.

          • employer

            The name of the employer.

          • started_at

            The employment start date.

          • ended_at

            The employment end date if provided.

          • is_business_owner

            Denotes if the account is the business owner.

          • percentage_of_business_shared

            The percentage of business shared.

          • shared_owner_type

            Denotes if the employment is shared across the client or belongs to one of the owners of the client. (Only applicable for joint/business/trust clients)

          • last_salary_increase

            The date of the last salary increase.

          • business_name

            The name of the business.

          • business_year_end

            The year end of the business.

          • business_value

            The value of the business.

          • directors

            The directors of the business.

          • shareholding_in_business

            The shareholding in the business.

          • profit

            The profit of the business.

          • accountant_company_name

            The name of the accountant.

          • accountant_email

            The email of the accountant.

          • accountant_telephone_number

            The telephone number of the accountant.

          • accountant_address

            The address of the accountant.

          • primary

            Denotes if the employment is the primary employment for the account associated.

        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use the primary email of the account instead). The email of the account.

          • photo_url

            The photo URL of the client

GET /api/v1/client/{client_uuid}/employment
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/employment' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "3253bf02-6082-46b8-8191-eee999f6cce8",
      "created_at": "2026-07-20T09:57:23+01:00",
      "updated_at": "2026-07-20T09:57:23+01:00",
      "status": "employed",
      "occupation": "Financial Adviser",
      "occupation_code": "FAC02774",
      "job_title": "Senior financial adviser",
      "employer": "Plannr Technologies Ltd",
      "started_at": "2021-07-20T09:57:23+01:00",
      "ended_at": "2022-07-20T09:57:23+01:00",
      "is_business_owner": true,
      "percentage_of_business_shared": 50,
      "address": {
        "uuid": "fd08c6f1-a5f2-450e-9d38-4e69f09afa87",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "name": "Work Address",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "address_3": "The Innovative Centre",
        "address_4": "Waterlooville",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "move_in_date": "2025-07-20",
        "accounts": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        }
      },
      "phone_number": {
        "uuid": "c06a0e25-234f-44bf-b98a-32aae962d084",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "type": "phone_number",
        "name": "Work number",
        "value": "+443330903630",
        "phone_number_meta": {
          "country": "GB",
          "formatted": "0333 090 3630"
        },
        "accounts": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        }
      },
      "email_address": {
        "uuid": "b99c0299-bf10-4ae7-81b8-cda8aa0b7812",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "type": "phone_number",
        "name": "Work number",
        "value": "+443330903630",
        "phone_number_meta": {
          "country": "GB",
          "formatted": "0333 090 3630"
        },
        "accounts": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        }
      },
      "shared_owner_type": "individual",
      "shared_owner": {
        "uuid": "b8b1cb29-b971-4ecf-8fe4-5dd565aa6f87",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": {
          "uuid": "55e13421-cece-4700-9834-c870430644ae",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "name": "Codepotato",
          "slug": "codepotato",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "town_city": "Waterlooville",
          "county": "Hampshire",
          "postcode": "PO7 7YH",
          "country": "United Kingdom",
          "regulatory_text": "Regulatory text",
          "logo": "https://api.plannrcrm.com/images/plannr.jpg",
          "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
          "brand_colours": {
            "sidebar_background": "#0E0E56",
            "sidebar_accent": "#36367E",
            "sidebar_text": "#FFFFFF",
            "sidebar_hover": "#0A0A42",
            "sidebar_active": "#53DBB8",
            "sidebar_title_background": "#36367E",
            "sidebar_title_primary": "#FFC634",
            "sidebar_title_secondary": "#FFFFFF",
            "sidebar_title_secondary_hover": "#FFFFFF",
            "email_background": "#0E0E56",
            "email_logo_background_panel": "#36367E",
            "email_sub_text": "#FFFFFF",
            "email_button_background": "#36367E",
            "email_button_text": "#FFFFFF",
            "portal_sidebar_button_background": "#F6F6F6",
            "portal_sidebar_button_hover": "#FFFFFF",
            "portal_sidebar_button_active": "#FFFFFF",
            "portal_brand_title": "#323B4B",
            "portal_brand_sub_title": "#828994",
            "portal_sidebar_title": "#11151D",
            "portal_sidebar_text": "#323B4B",
            "portal_sidebar_text_hover": "#323B4B",
            "portal_sidebar_text_active": "#323B4B",
            "portal_sidebar_icon": "#828994",
            "portal_sidebar_icon_hover": "#828994",
            "portal_sidebar_icon_active": "#828994",
            "portal_background": "#F6F6F6",
            "portal_sidebar_account_title": "#11151D",
            "portal_sidebar_account_email": "#828994",
            "portal_sidebar_divider": "#E3E5E9",
            "portal_dashboard_bg_one": "#EF4583",
            "portal_dashboard_bg_two": "#FFC634",
            "portal_sidebar_collapse_button": "#828994",
            "portal_sidebar_collapse_button_hover": "#B3B9C4",
            "portal_sidebar_user_select_background": "#F6F6F6",
            "portal_sidebar_user_select_hover": "#F6F6F6",
            "portal_sidebar_user_select_text": "#323B4B",
            "portal_sidebar_user_select_text_hover": "#323B4B",
            "portal_sidebar_user_select_border": "#EEEEEE",
            "portal_sidebar_user_select_border_hover": "#828994"
          },
          "is_subscribed": true,
          "keep_deleted_files_for": 30,
          "tax": 17.5,
          "month_end": 25,
          "statement_frequency": "monthly",
          "billing": {
            "invoice_address_1": "Suite E, 5 The Briars",
            "invoice_address_2": "Waterberry Drive",
            "invoice_town_city": "Waterlooville",
            "invoice_county": "Hampshire",
            "invoice_postcode": "PO7 7YH",
            "invoice_country": "United Kingdom",
            "invoice_email": "gareth@codepotato.co.uk"
          },
          "ip_whitelist": [
            "192.168.0.1",
            "127.0.0.1"
          ],
          "welcome_paragraph_html": "<h1>Welcome.</h1>",
          "email_welcome_paragraph_html": "Welcome to Plannr!",
          "show_fact_find_illustrations": true,
          "cc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "bcc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "reply_to_email_address": "jack@example.com",
          "mobile_app_support_number": "01234 567890",
          "mobile_app_support_email": "support@example.com"
        },
        "primary_phone_number": {
          "uuid": "ce1226b4-b14d-4443-80dc-fc003fa46afe",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "primary_email": {
          "uuid": "ce1226b4-b14d-4443-80dc-fc003fa46afe",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "current_time_entry": {
          "uuid": "2f03be34-d5b7-45cd-9f7d-fb35a974a609",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "name": "Research",
          "description": "This is a description.",
          "trackable_type": "Client",
          "start_date": "2026-07-20T09:07:30+01:00",
          "end_date": "2026-07-20T09:35:30+01:00",
          "is_active": true,
          "total_time_in_minutes": 28,
          "computed_time_elapsed_in_seconds": 1680
        },
        "assigned_adviser": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "assigned_administrator": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "assigned_paraplanner": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "introduced_by": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "business_unit": {
          "uuid": "56f30715-2aed-4964-9ac4-59dfdff43632",
          "name": "Wealth Management",
          "has_alternative_branding": false,
          "brand_colours": [],
          "members_count": 3,
          "groups_count": 2,
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00"
        },
        "groups": {
          "uuid": null,
          "name": "finance",
          "slug": "finance",
          "participants_count": "3",
          "participants": {
            "uuid": {
              "example": null,
              "description": "UUID of the account"
            },
            "role": {
              "example": "client",
              "description": "Role of the account"
            },
            "first_name": {
              "example": "Gareth",
              "description": "First name of the account"
            },
            "last_name": {
              "example": "Thompson",
              "description": "Last name of the account"
            },
            "name": {
              "example": "Gareth Thompson",
              "description": "Name of the account"
            },
            "email": {
              "example": "gareth@codepotato.co.uk",
              "description": "Email of the account"
            }
          },
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00"
        },
        "tags": {
          "uuid": "49a636fe-4430-4004-a22a-1981e9d6316d",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "name": "Mortgage",
          "slug": "mortgage",
          "colour": "#ef4582"
        },
        "owners": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "first_contact_date": "2026-07-20T09:57:23+01:00",
        "next_review_date": "2026-07-20T09:57:23+01:00",
        "previous_review_date": "2026-07-20T09:57:23+01:00",
        "anniversary_review_date": "2026-07-20T09:57:23+01:00",
        "terms_of_business_at": "2026-07-20T09:57:23+01:00",
        "client_agreement_at": "2026-07-20T09:57:23+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": {
          "uuid": "a42046c5-75c2-4192-b4f9-a6ffdb3b76df",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "name": "Jones Family",
          "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
          "bg_colour": "#35f4e1",
          "has_portal_access": true,
          "portal_access_status": "active",
          "engagement_rating": "green",
          "last_login": {
            "logged_in_at": "2026-07-20T09:57:30+01:00",
            "account_uuid": "uuid",
            "account_name": "John Smith",
            "device_type": "desktop",
            "device_platform": "macos"
          },
          "portal_login_count_30d": 5,
          "portal_login_count_90d": 12,
          "portal_login_count_365d": 48,
          "joint_account_uuid": "8673deb9-9e93-44fe-8a45-2e8e216615ab",
          "login_access_level": "write",
          "current_life_stage_uuid": "f3e1226c-b2e1-440f-9a96-d1f48993abe9"
        },
        "circles": {
          "uuid": "a42046c5-75c2-4192-b4f9-a6ffdb3b76df",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "name": "Jones Family",
          "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
          "bg_colour": "#35f4e1",
          "has_portal_access": true,
          "portal_access_status": "active",
          "engagement_rating": "green",
          "last_login": {
            "logged_in_at": "2026-07-20T09:57:30+01:00",
            "account_uuid": "uuid",
            "account_name": "John Smith",
            "device_type": "desktop",
            "device_platform": "macos"
          },
          "portal_login_count_30d": 5,
          "portal_login_count_90d": 12,
          "portal_login_count_365d": 48,
          "joint_account_uuid": "8673deb9-9e93-44fe-8a45-2e8e216615ab",
          "login_access_level": "write",
          "current_life_stage_uuid": "f3e1226c-b2e1-440f-9a96-d1f48993abe9"
        },
        "ownership_percentage": 100,
        "inactive_at": "2026-07-20",
        "last_interaction_at": "2026-07-20 09:57:23",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": {
          "uuid": null,
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "string",
          "name": "Favourite Drink",
          "reference": "favourite_drink",
          "is_required": false,
          "value": "Coffee",
          "selection_options": [
            "Coffee",
            "Tea",
            "Water"
          ],
          "help_text": "This is the client's favourite drink."
        },
        "external_references": {
          "uuid": "813b1931-7fef-4422-b11f-7c135dd76d88",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "last_salary_increase": "2019-01-01",
      "business_name": "My Business",
      "business_year_end": "2020-12-31",
      "business_value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "directors": "Susan F. Lancaster",
      "shareholding_in_business": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "profit": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "accountant_company_name": "My Accountant",
      "accountant_email": "accountant@email.com",
      "accountant_telephone_number": "+441234567890",
      "accountant_address": "23 Chollerton, Hexham, Northumberland, NE46 4TF",
      "primary": true,
      "turnover_history": {
        "year": 2020,
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        }
      },
      "income": {
        "uuid": "27b636e8-0abd-4906-9096-4521686712f5",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "name": "My Salary",
        "type": "salary",
        "type_other": "Other income type",
        "amount": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "amount_type": "net",
        "start_date": "2025-07-20",
        "end_date": "2026-07-20",
        "frequency": "annually",
        "is_taxable": true,
        "shared_owner_type": "individual",
        "shared_owner": {
          "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-20T09:57:30+01:00",
          "next_review_date": "2026-07-20T09:57:30+01:00",
          "previous_review_date": "2026-07-20T09:57:30+01:00",
          "anniversary_review_date": "2026-07-20T09:57:30+01:00",
          "terms_of_business_at": "2026-07-20T09:57:30+01:00",
          "client_agreement_at": "2026-07-20T09:57:30+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-20",
          "last_interaction_at": "2026-07-20 09:57:30",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "employment": {
          "uuid": "beea863e-b2a5-464b-8867-87dc2130b3b0",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "status": "employed",
          "occupation": "Financial Adviser",
          "occupation_code": "FAC02774",
          "job_title": "Senior financial adviser",
          "employer": "Plannr Technologies Ltd",
          "started_at": "2021-07-20T09:57:30+01:00",
          "ended_at": "2022-07-20T09:57:30+01:00",
          "is_business_owner": true,
          "percentage_of_business_shared": 50,
          "shared_owner_type": "individual",
          "last_salary_increase": "2019-01-01",
          "business_name": "My Business",
          "business_year_end": "2020-12-31",
          "business_value": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": null,
              "description": "Currency of the money"
            }
          },
          "directors": "Susan F. Lancaster",
          "shareholding_in_business": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": null,
              "description": "Currency of the money"
            }
          },
          "profit": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": null,
              "description": "Currency of the money"
            }
          },
          "accountant_company_name": "My Accountant",
          "accountant_email": "accountant@email.com",
          "accountant_telephone_number": "+441234567890",
          "accountant_address": "23 Chollerton, Hexham, Northumberland, NE46 4TF",
          "primary": true
        },
        "account": {
          "uuid": "bbbcac18-3597-4261-b0a8-7bfb3f82f4e5",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
        }
      }
    }
  ]
}